Summary:       Simple SSL certificate generator
Name:          sscg
Version:       3.0.2
Release:       5%{?dist}
License:       GPLv3+ with exceptions
URL:           https://github.com/sgallagher/sscg
Source0:       %{url}/archive/refs/tags/%{name}-%{version}.tar.gz

Patch3001: 0001-Protect-against-negative-bitshift.patch
Patch3002: 0002-Fix-another-negative-bitshift-issue.patch
Patch3003: 0003-Fix-incorrect-error-check.patch
Patch3004: 0004-Truncate-IP-address-in-SAN.patch

BuildRequires: gcc libtalloc-devel openssl-devel popt-devel libpath_utils-devel meson ninja-build help2man

%description
A utility to aid in the creation of more secure "self-signed" certificates. The certificates created
by this tool are generated in a way so as to create a CA certificate that can be safely imported
into a client machine to trust the service certificate without needing to set up a full PKI
environment and without exposing the machine to a risk of false signatures from the service
certificate.

%prep
%autosetup -p1 -n %{name}-%{name}-%{version}

%build
%meson
%meson_build

%install
%meson_install

%check
%meson_test -t 10

%files
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man8/%{name}.8*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.0.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 3.0.2-1
- initial build
